Bug 1410815 - python-django-stopforumspam: Provide a Python 3 subpackage
Summary: python-django-stopforumspam: Provide a Python 3 subpackage
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-django-stopforumspam
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ankur Sinha (FranciscoD)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3 PY3PATCH-AVAILABLE
TreeView+ depends on / blocked
 
Reported: 2017-01-06 14:56 UTC by Iryna Shcherbina
Modified: 2017-06-09 18:56 UTC (History)
2 users (show)

Fixed In Version: python-django-stopforumspam-1.8-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-09 18:56:01 UTC
Type: Bug


Attachments (Terms of Use)
Update to 1.8 version including Python 3 subpackage (4.07 KB, patch)
2017-05-10 09:38 UTC, Jan Beran
no flags Details | Diff

Description Iryna Shcherbina 2017-01-06 14:56:52 UTC
Upstream, this software supports Python 3 starting version 1.6 [0]. Please provide a Python 3 package for Fedora.


According to the Python packaging guidelines [1], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [2].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's OK to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 25 as well.


If you need more instructions, a guide for porting Python-based RPMs is
available at [3].
If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!

[0] https://github.com/benjaoming/django-stopforumspam/releases/tag/releases%2F1.6
[1] https://fedoraproject.org/wiki/Packaging:Python
[2] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
[3] http://python-rpm-porting.readthedocs.io/

Comment 1 Fedora End Of Life 2017-02-28 10:54:05 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 2 Jan Beran 2017-05-10 09:38:18 UTC
Created attachment 1277591 [details]
Update to 1.8 version including Python 3 subpackage

Comment 3 Jan Beran 2017-05-10 09:40:17 UTC
Hi Ankur,

may I ask for your review of the updated spec file?

Thank you.

Jan

Comment 4 Ankur Sinha (FranciscoD) 2017-05-12 09:49:05 UTC
Looks good. Updated and builds started. Thanks again, Jan.

Comment 5 Fedora Update System 2017-05-12 10:50:07 UTC
python-django-stopforumspam-1.8-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-333df2ecc2

Comment 6 Fedora Update System 2017-05-13 01:13:28 UTC
python-django-stopforumspam-1.8-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-333df2ecc2

Comment 7 Fedora Update System 2017-06-09 18:56:01 UTC
python-django-stopforumspam-1.8-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.